import React, { useEffect, useState } from 'react';
import { Card, Form, Input, Button, Select, Table, Tag, Space } from 'antd';
import { PageContainer } from '@ant-design/pro-layout';
import { connect } from 'react-redux';
import { get, post } from 'services';

const InitDataBase = () => {
  const [form] = Form.useForm();

  const { Option } = Select;
  const onFinish = e => {
    console.log(e);
  };
  const [dbForm, setDbForm] = useState({
    ip: '',
    dbName: '',
    password: '',
    userName: '',
    inUse: '',
  });
  const [data, setData] = useState([]);
  const url = window.location.host;
  console.log(window.location.host);
  useEffect(() => {
    get(`/Cityinterface/rest/services/OMS.svc/S_GetConnRecord`, {
      _version: 9999,
      dc: 1603334559186,
    })
      .then(res => {
        if (res.length > 0) {
          let arr = res.map((item, index) => {
            item.key = index;
            return item;
          });
          setData(arr);
        }
      })
      .catch(err => {
        console.error(err);
      });
  }, []);
  useEffect(() => {
    get(`/Cityinterface/rest/services/OMS.svc/S_GetDataBaseConfig`, {
      _version: 9999,
      dc: 1603334559186,
    })
      .then(res => {
        // console.log(res);
        if (res.success) {
          const obj = {};
          for (const k in dbForm) {
            obj[k] = res[k];
          }
          form.setFieldsValue(obj);
          setDbForm(obj);
        }
      })
      .catch(err => {
        console.error(err);
      });
  }, []);
  const testChlick = () => {};
  const onValuesChange = e => {
    form.setFieldsValue(e);
  };
  const onChange = e => {
    console.log(e);
    form.setFieldsValue({
      dbName: e,
    });
  };
  const onCheck = e => {
    console.log(dbForm);
    console.log(form.getFieldValue());
  };
  const option = [
    {
      value: 'jack',
    },
    {
      value: 'jack1',
    },
    {
      value: 'jack2',
    },
  ];
  const columns = [
    {
      title: '服务器名或IP地址',
      dataIndex: 'ip',
      key: 'ip',
    },
    {
      title: '数据库名称',
      dataIndex: 'dbName',
      key: 'dbName',
    },
    {
      title: '数据库用户名称',
      dataIndex: 'userName',
      key: 'userName',
    },
    {
      title: '保存时间',
      dataIndex: 'saveTime',
      key: 'saveTime',
    },
    {
      title: '描述',
      dataIndex: 'desc',
      key: 'desc',
    },
    {
      title: '修改描述',
      dataIndex: 'name',
      key: 'name',
      render: () => {
        return <button>修改描述</button>;
      },
    },
    {
      title: '删除',
      dataIndex: 'name',
      key: 'name',
      render: () => {
        return <button>删除</button>;
      },
    },
  ];
  return (
    <>
      <PageContainer>
        <Card>
          <Form
            layout="horizontal"
            labelAlign="left"
            labelCol={{ span: 3 }}
            form={form}
            onFinish={onFinish}
            onValuesChange={onValuesChange}
          >
            <Form.Item label="服务器名或IP地址:" name="ip">
              <Input placeholder="请输入" />
            </Form.Item>
            <Form.Item label="数据库用户名称:" name="userName">
              <Input placeholder="请输入" />
            </Form.Item>
            <Form.Item label="数据库用户密码:" name="password">
              <Input placeholder="请输入" />
            </Form.Item>
            <Form.Item label="数据库名称:" name="dbName">
              <Select
                showSearch
                placeholder="请选择"
                optionFilterProp="children"
                onChange={onChange}
                filterOption={(input, option) =>
                  option.children.toLowerCase().indexOf(input.toLowerCase()) >=
                  0
                }
              >
                {option.map(item => {
                  return <Option value={item.value}>{item.value}</Option>;
                })}
              </Select>
            </Form.Item>
            <Form.Item>
              <Space size="large">
                <Button onClick={onCheck}>测试连接</Button>
                <Button htmlType="submit">保存连接</Button>
                <Button htmlType="reset" onClick={testChlick}>
                  数据库初始化
                </Button>
              </Space>
              <span>{dbForm.inUse}</span>
            </Form.Item>
            {/* <div className={`btnBox`}>
                            <Button onClick={onCheck}>测试连接</Button>
                            <Button>保存连接</Button>
                            <Button>数据库初始化</Button>
                            <span>(产品方案(物联GCK))</span>
                        </div> */}
          </Form>
        </Card>
        <Card>
          <Table columns={columns} dataSource={data} bordered />
        </Card>
      </PageContainer>
    </>
  );
};

export default connect()(InitDataBase);
